Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface StyleAttributes

All Superinterfaces:
  Attributes, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  StyleAttributesImpl

    public interface StyleAttributes

extends Attributes

A representation of the model object 'Style Attributes'.

The following features are supported:

- `Fixed Font`
- `Fixed Foreground`
- `Fixed Background`

See Also:
  `GMFGenPackage.getStyleAttributes()`
** Generated **
Model:

Method Summary
`boolean` `isFixedBackground()` Returns the value of the 'Fixed Background' attribute.
`boolean` `isFixedFont()` Returns the value of the 'Fixed Font' attribute.
`boolean` `isFixedForeground()` Returns the value of the 'Fixed Foreground' attribute.
`void` `setFixedBackground(boolean value)` Sets the value of the '`Fixed Background`' attribute
`void` `setFixedFont(boolean value)` Sets the value of the '`Fixed Font`' attribute
`void` `setFixedForeground(boolean value)` Sets the value of the '`Fixed Foreground`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isFixedFont

    boolean isFixedFont()

  Returns the value of the 'Fixed Font' attribute. The default value is `"false"`.

  If the meaning of the 'Fixed Font' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fixed Font' attribute.
  See Also:
    `setFixedFont(boolean)`, `GMFGenPackage.getStyleAttributes_FixedFont()`
  ** Generated **
  Model:
    default="false"

### setFixedFont

    void setFixedFont(boolean value)

  Sets the value of the '`Fixed Font`' attribute.

  Parameters:
    `value` - the new value of the 'Fixed Font' attribute.
  See Also:
    `isFixedFont()`
  ** Generated **

### isFixedForeground

    boolean isFixedForeground()

  Returns the value of the 'Fixed Foreground' attribute. The default value is `"false"`.

  If the meaning of the 'Fixed Foreground' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fixed Foreground' attribute.
  See Also:
    `setFixedForeground(boolean)`, `GMFGenPackage.getStyleAttributes_FixedForeground()`
  ** Generated **
  Model:
    default="false"

### setFixedForeground

    void setFixedForeground(boolean value)

  Sets the value of the '`Fixed Foreground`' attribute.

  Parameters:
    `value` - the new value of the 'Fixed Foreground' attribute.
  See Also:
    `isFixedForeground()`
  ** Generated **

### isFixedBackground

    boolean isFixedBackground()

  Returns the value of the 'Fixed Background' attribute. The default value is `"false"`.

  If the meaning of the 'Fixed Background' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fixed Background' attribute.
  See Also:
    `setFixedBackground(boolean)`, `GMFGenPackage.getStyleAttributes_FixedBackground()`
  ** Generated **
  Model:
    default="false"

### setFixedBackground

    void setFixedBackground(boolean value)

  Sets the value of the '`Fixed Background`' attribute.

  Parameters:
    `value` - the new value of the 'Fixed Background' attribute.
  See Also:
    `isFixedBackground()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.